
// uso dell'oggetto window nativo e del gestore di evento onload con funzione
// di riferimento

window.onload = onloadGestore; /*function(){}*/


function onloadGestore(){
	alert("onload");
	
	// ottieni riferimento a body
	var body = document.body;
	
	// creo un elemento span
	var span = document.createElement('span');
	span.id = 'ExampleSpan';
	span.appendChild(document.createTextNode('Clicca qui!'));
	
	span.onmousedown = gestoreEventoMouse;
	span.onmouseup = gestoreEventoMouse;
	span.onmouseover = gestoreEventoMouse;
	span.onmouseout = gestoreEventoMouse;
	
	body.appendChild(span);
}

function gestoreEventoMouse(event){
	/* 
	 IE non passa di default l'oggetto event 
	 quindi ne otteniamo un riferimento
	*/
	if(!event) event = window.event;
	
	var tipo = event.type;
	var target = event.target || event.srcElement;
	console.log(tipo + ' evento su id ' + target.id);
}
